> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.impression.md).

# Analytics.impression

### Feature description

Records an analytics log when an element becomes visible. Use this when you want to record an impression log when an element below the fold actually appears on screen. `event` to logs of the type `event_type: 'impression'` parameters are recorded together.

`log_name`If it isn't specified, based on the current path `<pathname>::impression` a name in this format is automatically used. In the log parameters, in addition to the values you passed, the current page's query string (`search`), entry path (`referrer`), deployment information (`deployment_id`, `deployment_timestamp`) are automatically included.

If the current page URL is `https`not, no log is sent.

### Type

```ts
Analytics.impression(params?: { log_name?: string } & { [key: string]: LogParam }): Promise<void> | undefined;
```

**Params**

```ts
// Keys other than log_name are also recorded as log parameters.
type LogParam = string | number | boolean | null | undefined;
```

**Response**

If the current page URL is `https`not, no log is sent and `undefined`is returned.

### Example code

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

const banner = document.querySelector("#promo-banner");

const observer = new IntersectionObserver((entries) => {
  entries.forEach((entry) => {
    if (entry.isIntersecting) {
      Analytics.impression({ log_name: "banner", text: "promotional banner" });
      observer.unobserve(entry.target);
    }
  });
});

observer.observe(banner);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.impression.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
